Subject: bug#31858: 27.0; doc of `window-toggle-side-windows'

From: Drew Adams <[email-masked]>
Date: Sat, 16 Jun 2018 16:11:14 -0700 (PDT)

> > AFAICT, neither the doc string nor the manual says what toggling the
> > side windows DOES or MEANS.  Just what behavior or appearance is
> > toggled?  What happens when a side window is - or all side windows are
> -
> > toggled?
> 
> That's strange.  I found answers to those questions in the doc string:
> 
>   If FRAME has at least one side window, save FRAME’s state in the
>   FRAME’s ‘window-state’ frame parameter and delete all side
>   windows on FRAME afterwards.  Otherwise, if FRAME has a
>   ‘window-state’ parameter, use that to restore any side windows on
>   FRAME leaving FRAME’s main window alone.  Signal an error if
>   FRAME has no side window and no saved state is found.
> 
> So I don't understand what is missing there.  Could you be more
> specific regarding the problems you see in this text?

The doc should say that the function deletes all side windows
of FRAME, or it restores all such previously deleted side windows.

There currently is no statement of just what gets toggled.
The toggling behavior is described, but what's not said is
that it is the presence/existence/validity (pick the right
term) of the side windows that is toggled.